Draft Offset/jp

From FreeCAD Documentation
Jump to navigation Jump to search

Draft Offset.svg {{{Name/jp}}}

メニュー位置
Draft -> Offset
ワークベンチ
製図, 建築
デフォルトのショートカット
O S
参照
None


説明

Offsetツールは現在の作業平面上で選択されているオブジェクトを指定された距離だけオフセットします。選択されているオブジェクトが無い場合はオブジェクトを選択するよう促されます。

Draft Offset example.jpg

使用方法

  1. オフセットしたオブジェクトを選択します
  2. Draft Offset.png Draft Offsetボタンを押すか、Oキーを押した後でSキーを押します
  3. 3Dビュー上の点をクリックするか、距離を入力します

オプション

  • Tキーを押すかContinueボタンのチェックボックスをクリックしてチェック/非チェックを切り替えてください。継続モードがオンの場合は処理終了後にOffsetツールが再開し、Offsetボタンを再び押すことなくオブジェクトのオフセットまたはコピーを続けることができます。
  • ALTキーまたはCキーを押すか、Copyボタンをクリックするとオブジェクトの移動の代わりコピーが可能です。二つ目の点を入力した後でALTキーを押したままにするとALTキーを離すまでの間、さらにコピーを作成することができます。
  • 描画中にCTRLキーを押すと距離と無関係に最も近いスナップ位置に操作点をスナップすることができます。
  • SHIFTキーを押すと最も近い線分をピックする代わりに現在の線分上に操作を拘束することができます。
  • 現在のコマンドを中断するにはESCキーまたはCancelボタンを押します。

スクリプト処理

以下の関数を使うことでマクロとPythonコンソールからOffsetツールを使用することが可能です。

offset (object,Vector,[copymode],[bind],[sym]): 指定されたVectorをその最小の節点に適用してワイヤーをオフセットします。
copymodeがTrueの場合、オブジェクトが別に作成されます。Trueでない場合は同じオブジェクトがオフセットされます。
bindがTrueで、指定されたワイヤーが閉曲線でない場合、元のワイヤーとオフセットされたワイヤーが端点で結ばれ、面を形成します。
symがTrueの場合、両側にオフセットが作成され、オフセット幅の合計が指定されたベクトルの長さとなります。
この関数はオフセットされたオブジェクトを返します(copymodeがTrueの場合はコピーを返します)。

例:

import FreeCAD,Draft
Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))
ご利用可能な言語: Flag-en.jpg Flag-es.jpg Flag-fr.jpg Flag-it.jpg